Summary
Get historical graded compliance reports.
Description
Get historical graded compliance reports for a device on a node.
Route
POST /configuration_manager/compliance_reports/grade/history
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| treeId |
string |
yes |
- |
| version |
string |
yes |
- |
| nodePath |
string |
yes |
- |
| deviceName |
string |
yes |
- |
| options |
object |
yes |
- |
Copied to Clipboard
{
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v3",
"nodePath": "base",
"deviceName": "xr9kv-atl",
"options": {
"weights": {
"error": 91253699.56561631,
"warning": -13070979.900910288,
"info": 84445249.25350359
},
"limit": 33181767
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"treeId": {
"title": "treeId",
"$ref": "common#/definitions/mongoObjectId"
},
"version": {
"title": "version",
"$ref": "goldenConfigData#/definitions/goldenConfigTreeVersionName"
},
"nodePath": {
"title": "nodePath",
"$ref": "goldenConfigData#/definitions/goldenConfigNodePath"
},
"deviceName": {
"title": "deviceName",
"$ref": "deviceData#/definitions/deviceName"
},
"options": {
"title": "options",
"$ref": "goldenConfigData#/definitions/gradeDeviceComplianceHistoryOptions"
}
},
"required": [
"treeId",
"version",
"nodePath",
"deviceName",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| graded_compliance_history |
array |
- |
Copied to Clipboard
[
{
"id": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"error": 37623029,
"warning": 59156557,
"info": 20099899,
"pass": 56886068,
"score": 44.50456887618872,
"grade": "pass"
},
{
"id": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"error": 19358261,
"warning": 44019937,
"info": 54230795,
"pass": 24222681,
"score": 39.20609729982789,
"grade": "pass"
},
{
"id": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"error": 48225425,
"warning": 31956239,
"info": 69698579,
"pass": 60286671,
"score": 73.78661133626481,
"grade": "review"
}
]